%define ver_major 2.91
%define _name gtk-engines
%define engine_prefix libgtk3-engine
%define old_engine_prefix gtk-engines
%define engine_namechange_ver 2.8.0-alt3
%define gtk_theme_prefix gtk3-theme
%define old_theme_prefix gtk3-themes
%define theme_namechange_ver 2.8.0-alt4

%def_disable lua

# Clearlooks animation takes some CPU cycles, so it's done optional.
%def_disable animation

Name: %{engine_prefix}s-default
Version: %ver_major.1
Release: alt2

Summary: Default GTK+3 theme engines
License: %lgpl2plus
Group: Graphical desktop/GNOME
Url: http://gtk.themes.org/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%_name/%ver_major/%_name-%version.tar.bz2

%define gtk_ver 3.0.0
%define gtk_binary_ver 3.0.0
%define gtk_api_ver 3.0
%define icon_theme_ver 2.10.0

Requires: %engine_prefix-redmond = %version-%release
Requires: %engine_prefix-hc = %version-%release
#Requires: %engine_prefix-crux = %version-%release
#Requires: %engine_prefix-mist = %version-%release
#Requires: %engine_prefix-thinice = %version-%release
#Requires: %engine_prefix-industrial = %version-%release
#Requires: %engine_prefix-clearlooks = %version-%release
Requires: %engine_prefix-glide = %version-%release

BuildPreReq: rpm-build-gnome rpm-build-licenses

BuildPreReq: intltool >= 0.31.0
BuildPreReq: libgtk+3-devel >= %gtk_ver
BuildPreReq: liblua5-devel

%description
These are the graphical engines for the various GTK+3 toolkit themes.

# FIXME: Recollect/Find out and explain here why GTK+ engines need
# gnome-icon-theme. Looks rather suspicious.

%package -n %name-common
Summary: Files common to all GTK+ engines
Group: Graphical desktop/GNOME
BuildArch: noarch

%description -n %name-common
This package contains files used or referred to by any "standard" GTK+
engine. Don't care about installing it; you will know if some GTK+
engine needs it.

%package -n %engine_prefix-redmond
Summary: GTK+3 theme engine - Redmond95
Group: Graphical desktop/GNOME
License: %lgpl2plus
Requires: %name-common = %version-%release

%description -n %engine_prefix-redmond
A simple theme engine that looks a bit like another OS.

%package -n %gtk_theme_prefix-redmond
Summary: GTK+3 theme - Redmond95
Group: Graphical desktop/GNOME
License: %lgpl2plus
BuildArch: noarch
#Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-redmond
A simple theme that looks a bit like another OS.

%package -n %engine_prefix-hc
Summary: A GTK+3 high contrast theme engine
Group: Graphical desktop/GNOME
License: %lgpl2plus
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %engine_prefix-hc
Engine for high contrast themes, that improves visibility of shadows, edges,
and indicators when theme background and foreground contain near-black
and near-white colors.

%package -n %gtk_theme_prefix-crux
Summary: A GTK+3 theme engine - Crux
Group: Graphical desktop/GNOME
License: %gpl2plus
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-crux
This package contains a GTK2+ theme engine named Crux and developed by
Eazel, Inc.

%package -n %gtk_theme_prefix-mist
Summary: A GTK+3 theme engine - Mist
Group: Graphical desktop/GNOME
License: %gpl2plus
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-mist
Author named this after the song he was listening to when he named it
(Opeth's "In Mist She Was Standing").
This package provides Mist GTK+3 theme engine.

%package -n %gtk_theme_prefix-clearlooks
Summary: A GTK+3 theme engine - ClearLooks
Group: Graphical desktop/GNOME
License: %gpl2plus
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-clearlooks
ClearLooks is new modern looking engine for GTK+3, based on Bluecurve.
It has the looks of various themes blended together, resulting in a
theme that's easy on the eyes and visually pleasing.

This package contains Clearlooks theme and engine.

%package -n %gtk_theme_prefix-thinice
Summary: A GTK+3 theme engine - Thin Ice
Group: Graphical desktop/GNOME
License: %gpl2plus
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-thinice
This package contains a GTK+3 theme engine Thin Ice.

%package -n %gtk_theme_prefix-industrial
Summary: A GTK+3 theme engine - Industrial
Group: Graphical desktop/GNOME
License: %gpl2plus
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %gtk_theme_prefix-industrial
This package contains a GTK+3 engine Industrial developed by Ximian, Inc. as
the default apearance for its Desktop. Industrial is a highly popular
look which provides a simple, consistant, and highly cohesive appearance
for applications.

%package -n %engine_prefix-glide
Summary: A GTK+3 theme engine - Glide
Group: Graphical desktop/GNOME
License: %lgpl2plus
Requires: %name-common = %version-%release
Requires: gnome-icon-theme >= %icon_theme_ver

%description -n %engine_prefix-glide
This package contains a GTK3+ theme engine Glide (used by Glider GNOME theme).

%package -n %engine_prefix-lua
Summary: A Lua scripting engine for GTK+ themes
Group: Graphical desktop/GNOME

%description -n %engine_prefix-lua
This package contains an engine that enables Lua scripting in GTK+
themes. Unless some GTK+ theme depends on this package, you don't need
it.

%package -n %{engine_prefix}s-devel
Summary: Development files for %_name
Group: Development/GNOME and GTK+

%description -n %{engine_prefix}s-devel
This package contains development files for %_name

%prep
%setup -q -n %_name-%version

%build
%configure \
    %{subst_enable animation}

%make_build

%check
%make check

%install
%make DESTDIR=%buildroot install
%find_lang --output=%_name.lang gtk3-engines

%define engines_dir %_libdir/gtk-%gtk_api_ver/%gtk_binary_ver/engines/
%define engines_data_dir %_datadir/%_name/%gtk_api_ver

%files

%files -n %name-common -f %_name.lang
%dir %_datadir/%_name
%_datadir/themes/GNOME3/gtk-%gtk_api_ver/gtkrc
%_datadir/themes/GNOME3/metacity-1/*
%doc AUTHORS README ChangeLog COPYING*

%files -n %engine_prefix-redmond
%engines_dir/libredmond95.so
%engines_data_dir/redmond95.xml

%files -n %gtk_theme_prefix-redmond
%dir %_datadir/themes/Redmond/
%dir %_datadir/themes/Redmond/gtk-%gtk_api_ver
%_datadir/themes/Redmond/gtk-%gtk_api_ver/gtkrc
%doc engines/redmond/AUTHORS

%files -n %engine_prefix-hc
%engines_dir/libhcengine.so
%engines_data_dir/hcengine.xml

%files -n %gtk_theme_prefix-crux
%engines_dir/*crux*.so
%engines_data_dir/crux-engine.xml
%dir %_datadir/themes/Crux
%dir %_datadir/themes/Crux/gtk-%gtk_api_ver
%_datadir/themes/Crux/gtk-%gtk_api_ver/gtkrc

%files -n %gtk_theme_prefix-clearlooks
%engines_dir/*clearlooks.so
%engines_data_dir/clearlooks.xml
%dir %_datadir/themes/Clearlooks
%dir %_datadir/themes/Clearlooks/gtk-%gtk_api_ver
%_datadir/themes/Clearlooks/gtk-%gtk_api_ver/gtkrc*

%files -n %gtk_theme_prefix-mist
%engines_dir/libmist.so
%engines_data_dir/mist.xml
%dir %_datadir/themes/Mist
%dir %_datadir/themes/Mist/gtk-%gtk_api_ver
%_datadir/themes/Mist/gtk-%gtk_api_ver/gtkrc

%files -n %gtk_theme_prefix-thinice
%engines_dir/*thinice.so
%engines_data_dir/thinice.xml
%dir %_datadir/themes/ThinIce
%dir %_datadir/themes/ThinIce/gtk-%gtk_api_ver
%_datadir/themes/ThinIce/gtk-%gtk_api_ver/gtkrc

%files -n %gtk_theme_prefix-industrial
%engines_dir/libindustrial.so
%engines_data_dir/industrial.xml
%dir %_datadir/themes/Industrial
%dir %_datadir/themes/Industrial/gtk-%gtk_api_ver
%_datadir/themes/Industrial/gtk-%gtk_api_ver/gtkrc

%files -n %engine_prefix-glide
%engines_dir/libglide.so
%engines_data_dir/glide.xml

%if_enabled lua
%files -n %{engine_prefix}-lua
%engines_dir/libluaengine.so
%endif

%files -n %{engine_prefix}s-devel
%_pkgconfigdir/*.pc

%exclude %engines_dir/*.la


%changelog
* Tue Feb 22 2011 Yuri N. Sedunov <aris@altlinux.org> 2.91.1-alt2
- rebuild against new GDK/GTK sonames.

* Fri Dec 17 2010 Yuri N. Sedunov <aris@altlinux.org> 2.91.1-alt1
- 2.91.1

* Wed Jun 30 2010 Yuri N. Sedunov <aris@altlinux.org> 2.90.3.1-alt1
- first build for Sisyphus
- animation temporarily disabled, lua disabled

